clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::VarTemplateDecl::Common Struct Reference

Data that is common to all of the declarations of a given variable template. More...

`#include "clang/AST/DeclTemplate.h"`

Inheritance diagram for clang::VarTemplateDecl::Common:
[legend]
Collaboration diagram for clang::VarTemplateDecl::Common:
[legend]

## Public Member Functions
| Common ()=default

## Public Attributes
llvm::FoldingSetVector< VarTemplateSpecializationDecl > | Specializations
| The variable template specializations for this variable template, including explicit specializations and instantiations. More...
llvm::FoldingSetVector< VarTemplatePartialSpecializationDecl > | PartialSpecializations
| The variable template partial specializations for this variable template. More...

## Detailed Description

Data that is common to all of the declarations of a given variable template.

Definition at line 2866 of file DeclTemplate.h.

## Constructor & Destructor Documentation

## ◆ Common()

clang::VarTemplateDecl::Common::Common | ( |  | ) |
| default

## Member Data Documentation

## ◆ PartialSpecializations

llvm::FoldingSetVector<VarTemplatePartialSpecializationDecl> clang::VarTemplateDecl::Common::PartialSpecializations

The variable template partial specializations for this variable template.

Definition at line 2874 of file DeclTemplate.h.

## ◆ Specializations

llvm::FoldingSetVector<VarTemplateSpecializationDecl> clang::VarTemplateDecl::Common::Specializations

The variable template specializations for this variable template, including explicit specializations and instantiations.

Definition at line 2869 of file DeclTemplate.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/DeclTemplate.h